A valid request URL is required to generate request examples{
"id": "<string>",
"object": "terminal.provisioning_request",
"merchant_id": "<string>",
"livemode": true,
"location_id": "<string>",
"label": "<string>",
"status": "requested",
"required_actions": [
"<string>"
],
"terminal_id": "<string>",
"metadata": {},
"created_at": 123,
"updated_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Retrieve a Terminal provisioning request
Retrieves the latest durable state. A ready request has a non-null
terminal_id; use that Ionic ID for Terminal payments.
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "terminal.provisioning_request",
"merchant_id": "<string>",
"livemode": true,
"location_id": "<string>",
"label": "<string>",
"status": "requested",
"required_actions": [
"<string>"
],
"terminal_id": "<string>",
"metadata": {},
"created_at": 123,
"updated_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Merchant secret key, or an authorized Platform secret key with delegation where documented.
Headers
Merchant ID when an authorized Platform acts for a connected Merchant.
^mer_[0-9A-Za-z]{14}$Path Parameters
Terminal provisioning request ID.
^tprov_[0-9A-Za-z]{24}$Response
The provisioning request.
Unique identifier for the provisioning request (tprov_…).
^tprov_[0-9A-Za-z]{24}$terminal.provisioning_request ID of the account that owns the provisioning request (mer_…).
^mer_[0-9A-Za-z]{14}$ID of the location where the terminal will be used (loc_…).
^loc_[0-9A-Za-z]{14}$Name for the terminal, shown in your records.
ready means terminal_id is assigned and the Terminal resource can be retrieved.
requested, processing, requires_action, ready, failed, canceled Additive action identifiers. Empty unless Merchant action is required.
ID of the terminal created by this request (tmr_…). Null until the request is ready.
^tmr_[0-9A-Za-z]{14}$Up to 50 string keys; keys are at most 40 characters and values are at most 500 characters.
Show child attributes
Show child attributes
Unix epoch seconds.
Unix epoch seconds.

